<html>
<head>
<title>Ogre::RenderWindowDescription Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RenderWindowDescription.html">RenderWindowDescription</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderWindowDescription Struct Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderWindowDescription" -->
<p>Render window creation parameters.  
 <a href="structOgre_1_1RenderWindowDescription.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RenderWindowDescription-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderWindowDescription.html#a3608fbf0281bd14dd5ddb0a2d5753e7b">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderWindowDescription.html#a0dfc7a4ce6e13696ce64de821cd551b4">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderWindowDescription.html#aef01dea93700872d39d4a59bd91a436c">height</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderWindowDescription.html#a5809e1727a29bbc2737e090ab338c6a7">useFullScreen</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderWindowDescription.html#a9d041f83279956a42785c6894bea178a">miscParams</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Render window creation parameters. </p>

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00752">752</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aef01dea93700872d39d4a59bd91a436c"></a><!-- doxytag: member="Ogre::RenderWindowDescription::height" ref="aef01dea93700872d39d4a59bd91a436c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1RenderWindowDescription.html#aef01dea93700872d39d4a59bd91a436c">Ogre::RenderWindowDescription::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00756">756</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d041f83279956a42785c6894bea178a"></a><!-- doxytag: member="Ogre::RenderWindowDescription::miscParams" ref="a9d041f83279956a42785c6894bea178a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> <a class="el" href="structOgre_1_1RenderWindowDescription.html#a9d041f83279956a42785c6894bea178a">Ogre::RenderWindowDescription::miscParams</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00758">758</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3608fbf0281bd14dd5ddb0a2d5753e7b"></a><!-- doxytag: member="Ogre::RenderWindowDescription::name" ref="a3608fbf0281bd14dd5ddb0a2d5753e7b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1RenderWindowDescription.html#a3608fbf0281bd14dd5ddb0a2d5753e7b">Ogre::RenderWindowDescription::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00754">754</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5809e1727a29bbc2737e090ab338c6a7"></a><!-- doxytag: member="Ogre::RenderWindowDescription::useFullScreen" ref="a5809e1727a29bbc2737e090ab338c6a7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1RenderWindowDescription.html#a5809e1727a29bbc2737e090ab338c6a7">Ogre::RenderWindowDescription::useFullScreen</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00757">757</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0dfc7a4ce6e13696ce64de821cd551b4"></a><!-- doxytag: member="Ogre::RenderWindowDescription::width" ref="a0dfc7a4ce6e13696ce64de821cd551b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structOgre_1_1RenderWindowDescription.html#a0dfc7a4ce6e13696ce64de821cd551b4">Ogre::RenderWindowDescription::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCommon_8h_source.html#l00755">755</a> of file <a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
